Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: net::InterfaceInfo Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
net::InterfaceInfo Struct Reference

Interface specific info. More...

`import "Net.idl";`

## Public Attributes
string | name
| Internal interface name.
string | label
| Interface label (used in user interfaces)
InterfaceType | type
| Interface type.
boolean | enabled
| The dynamic enabled state.
string | controllingIfName
| Controlling interface (set for bridged interfaces)
InterfaceOpState | state
| Operational state of the interface.
string | macAddr
| MAC address of the interface.
int | mtu
| Maximum Transfer Unit (MTU)
InterfaceIPv4Info | ipv4
| Interface specific IPv4 info.
InterfaceIPv6Info | ipv6
| Interface specific IPv6 info.

## Detailed Description

Interface specific info.

Definition at line 162 of file Net.idl.

## Member Data Documentation

## ◆ controllingIfName

string net::InterfaceInfo::controllingIfName

Controlling interface (set for bridged interfaces)

Definition at line 167 of file Net.idl.

## ◆ enabled

boolean net::InterfaceInfo::enabled

The dynamic enabled state.

Definition at line 166 of file Net.idl.

## ◆ ipv4

InterfaceIPv4Info net::InterfaceInfo::ipv4

Interface specific IPv4 info.

Definition at line 171 of file Net.idl.

## ◆ ipv6

InterfaceIPv6Info net::InterfaceInfo::ipv6

Interface specific IPv6 info.

Definition at line 172 of file Net.idl.

## ◆ label

string net::InterfaceInfo::label

Interface label (used in user interfaces)

Definition at line 164 of file Net.idl.

## ◆ macAddr

string net::InterfaceInfo::macAddr

MAC address of the interface.

Definition at line 169 of file Net.idl.

## ◆ mtu

int net::InterfaceInfo::mtu

Maximum Transfer Unit (MTU)

Definition at line 170 of file Net.idl.

## ◆ name

string net::InterfaceInfo::name

Internal interface name.

Definition at line 163 of file Net.idl.

## ◆ state

InterfaceOpState net::InterfaceInfo::state

Operational state of the interface.

Definition at line 168 of file Net.idl.

## ◆ type

InterfaceType net::InterfaceInfo::type

Interface type.

Definition at line 165 of file Net.idl.

The documentation for this struct was generated from the following file:

- Net.idl